Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007523TestLinkRequirement Managementpublic2016-04-26 15:142016-09-08 15:12
Reportermariza.alpes 
Assigned Tofman 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007523: Req. Spec - EDIT - custom field (date or datetime) value is not saved
DescriptionWhen the custom field type date or datetime is defined to use on requirement specification, the Testlink dont save the information in the field.
Steps To Reproduce1. Create a custom field to type datetime or date
1.1. Available for Requirement Specification Document
2. Edit the Requirement Specification Document and inform a date
3. Save the Requirement Specification Document
4. Look the custom field is empty!
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox 45.0.2
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024764)
mariza.alpes (reporter)
2016-04-29 13:20

The custom fiel work in creating the Requirement Specifications.
If you make any changes in the Requirement Specifications the system deletes the information on data field and does not record the revisions!
(0024786)
fman (administrator)
2016-05-08 20:00

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/53c84782339e5bc631b2759265c0c068fd90bd71 [^]
(0025246)
fman (administrator)
2016-09-08 15:12

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-04-26 15:14 mariza.alpes New Issue
2016-04-29 13:20 mariza.alpes Note Added: 0024764
2016-05-08 08:44 fman QA Team - Task Workflow Status => TBD
2016-05-08 08:44 fman Category Custom fields => Requirement Management
2016-05-08 08:44 fman Summary The custom field (date or datetime) is broken when is defined to use on requirement specification => Req. Spec - EDIT - custom field (date or datetime) value is not saved
2016-05-08 20:00 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2016-05-08 20:00 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-05-08 20:00 fman Note Added: 0024786
2016-05-08 20:00 fman Status new => resolved
2016-05-08 20:00 fman Resolution open => fixed
2016-05-08 20:00 fman Assigned To => fman
2016-05-08 20:01 fman Relationship added child of 0007262
2016-09-08 15:12 fman Note Added: 0025246
2016-09-08 15:12 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker